org.apache.sling.auth.xing.api

## Interface XingUserManager

All Known Implementing Classes:
  AbstractXingUserManager

    public interface XingUserManager

### Method Summary

Methods
`boolean` `autoCreate()`
`boolean` `autoUpdate()`
`org.apache.jackrabbit.api.security.user.User` `createUser(javax.jcr.Credentials credentials)`
`org.apache.jackrabbit.api.security.user.User` `getUser(javax.jcr.Credentials credentials)`
`org.apache.jackrabbit.api.security.user.User` `updateUser(javax.jcr.Credentials credentials)`

### Method Detail

#### autoCreate

    boolean autoCreate()

#### autoUpdate

    boolean autoUpdate()

#### getUser

    org.apache.jackrabbit.api.security.user.User getUser(javax.jcr.Credentials credentials)

#### createUser

    org.apache.jackrabbit.api.security.user.User createUser(javax.jcr.Credentials credentials)

#### updateUser

    org.apache.jackrabbit.api.security.user.User updateUser(javax.jcr.Credentials credentials)